#
# Conditional build:
%bcond_without	glade		# Glade catalog

Summary:	GTK+ git repository viewer
Summary(pl.UTF-8):	Przeglądarka repozytoriów git oparta na GTK+
Name:		gitg
Version:	3.30.1
Release:	1
License:	GPL v2
Group:		Development/Tools
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gitg/3.30/%{name}-%{version}.tar.xz
# Source0-md5:	b0f5b0104b76279488ef12c70135ad75
Patch0:		%{name}-vala.patch
URL:		http://live.gnome.org/Gitg
BuildRequires:	gettext-tools >= 0.17
%{?with_glade:BuildRequires:	glade-devel >= 3.2}
BuildRequires:	glib2-devel >= 1:2.38
BuildRequires:	gnome-common
BuildRequires:	gobject-introspection-devel >= 0.10.1
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	gtk+3-devel >= 3.20.0
BuildRequires:	gtk-webkit4-devel >= 2.2
BuildRequires:	gtksourceview3-devel >= 3.10
BuildRequires:	gtkspell3-devel >= 3.0.3
BuildRequires:	intltool >= 0.40.0
BuildRequires:	json-glib-devel
BuildRequires:	libgee-devel >= 0.8
# libgit2 with threading support
BuildRequires:	libgit2-devel >= 0.20.0-3
BuildRequires:	libgit2-glib-devel >= 0.25.0
BuildRequires:	libpeas-devel >= 1.5.0
BuildRequires:	libpeas-gtk-devel >= 1.5.0
BuildRequires:	libsecret-devel
BuildRequires:	libsoup-devel >= 2.4
BuildRequires:	libxml2-devel >= 1:2.9.0
BuildRequires:	meson >= 0.46.0
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	python3-devel >= 1:3.2.3
BuildRequires:	python3-pygobject3-devel >= 3.0.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.727
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.32.0
BuildRequires:	vala-gtkspell3
BuildRequires:	vala-libgee >= 0.8
BuildRequires:	vala-libgit2-glib >= 0.25.0
BuildRequires:	vala-libsecret
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires(post,preun):	glib2 >= 1:2.38
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.38
Requires:	gtk+3 >= 3.20.0
Requires:	gtk-webkit4 >= 2.2
Requires:	gtksourceview3 >= 3.10
Requires:	gtkspell3 >= 3.0.3
Requires:	libgit2 >= 0.20.0-3
Requires:	libgit2-glib >= 0.25.0
Requires:	libxml2 >= 1:2.9.0
Obsoletes:	gitg-static < 3.30.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gitg is a git repository viewer targeting GTK+/GNOME. One of its main
objectives is to provide a more unified user experience for git
frontends across multiple desktops.

%description -l pl.UTF-8
gitg to przeglądarka repozytoriów git przeznaczona dla środowisk
GTK+/GNOME. Jednym z głównych celów jest zapewnienie bardziej
ujednoliconego sposobu obsługi dla frontendów gita w wielu
środowiskach graficznych.

%package devel
Summary:	libgitg header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgitg
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.38
Requires:	gtk+3-devel >= 3.20.0
Requires:	libgit2-devel >= 0.20.0-3
Requires:	libgit2-glib-devel >= 0.25.0

%description devel
libgitg header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgitg.

%package glade
Summary:	libgitg catalog file for Glade
Summary(pl.UTF-8):	Plik katalogu libgitg dla Glade
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	glade >= 3.2

%description glade
libgitg catalog file for Glade.

%description glade -l pl.UTF-8
Plik katalogu libgitg dla Glade.

%package -n python3-gitg
Summary:	Python 3.x binding to GitgExt library
Summary(pl.UTF-8):	Wiązanie Pythona 3.x do biblioteki GitgExt
Group:		Libraries/Python
BuildRequires:	python3-libs >= 1:3.2.3
BuildRequires:	python3-pygobject3 >= 3.0.0
Requires:	%{name} = %{version}-%{release}

%description -n python3-gitg
Python 3.x binding to GitgExt library, allowing to write Gitg plugins
in Python.

%description -n python3-gitg -l pl.UTF-8
Wiązanie Pythona 3.x do biblioteki GitgExt, pozwalające na tworzenie
wtyczek Gitg w Pythonie.

%package -n vala-gitg
Summary:	Vala API for Gitg libraries
Summary(pl.UTF-8):	API języka Vala do bibliotek Gitg
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.32
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n vala-gitg
Vala API for Gitg libraries.

%description -n vala-gitg -l pl.UTF-8
API języka Vala do bibliotek Gitg.

%prep
%setup -q
%patch0 -p1

%build
%meson build \
	-Dglade_catalog=%{__true_false glade} \
	-Dpython=true
%meson_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install -C build

%find_lang gitg

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%glib_compile_schemas
%update_icon_cache hicolor

%postun
if [ "$1" = "0" ]; then
	/sbin/ldconfig
	%glib_compile_schemas
	%update_icon_cache hicolor
fi

%files -f gitg.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gitg
%attr(755,root,root) %{_libdir}/libgitg-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgitg-1.0.so.0
%attr(755,root,root) %{_libdir}/libgitg-ext-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgitg-ext-1.0.so.0
%{_libdir}/girepository-1.0/Gitg-1.0.typelib
%{_libdir}/girepository-1.0/GitgExt-1.0.typelib
%dir %{_libdir}/gitg
%dir %{_libdir}/gitg/plugins
%attr(755,root,root) %{_libdir}/gitg/plugins/libdiff.so
%{_libdir}/gitg/plugins/diff.plugin
%attr(755,root,root) %{_libdir}/gitg/plugins/libfiles.so
%{_libdir}/gitg/plugins/files.plugin
%{_datadir}/gitg
%{_datadir}/metainfo/gitg.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gitg.gschema.xml
%{_desktopdir}/gitg.desktop
%{_mandir}/man1/gitg.1*
%{_iconsdir}/hicolor/*x*/apps/gitg.png
%{_iconsdir}/hicolor/scalable/apps/gitg-symbolic.svg

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgitg-1.0.so
%attr(755,root,root) %{_libdir}/libgitg-ext-1.0.so
%{_includedir}/libgitg.h
%{_includedir}/libgitg-ext.h
%{_datadir}/gir-1.0/Gitg-1.0.gir
%{_datadir}/gir-1.0/GitgExt-1.0.gir
%{_pkgconfigdir}/libgitg-1.0.pc
%{_pkgconfigdir}/libgitg-ext-1.0.pc

%if %{with glade}
%files glade
%defattr(644,root,root,755)
%{_datadir}/glade/catalogs/gitg-glade.xml
%endif

%files -n python3-gitg
%defattr(644,root,root,755)
%{py3_sitedir}/gi/overrides/GitgExt.py

%files -n vala-gitg
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libgitg-1.0.vapi
%{_datadir}/vala/vapi/libgitg-ext-1.0.vapi
%changelog
* Thu Nov 01 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gitg.git;a=log;h=master

* Mon Oct 29 2018 Jan Palus <atler@pld-linux.org> 8c9a7cf
- up to 3.30.1

* Fri Jul 06 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2075219
- up to 3.26.0

* Sun Jul 16 2017 Jakub Bogusz <qboosh@pld-linux.org> e6113c4
- updated to 3.24.0

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 14948fd
- python 3.6
- release 2 (by relup.sh)

* Sat Dec 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 315f944
- updated to 3.22.0

* Wed Jun 22 2016 Jakub Bogusz <qboosh@pld-linux.org> 5e8ec6a
- updated to 3.20.1

* Sun Apr 10 2016 Marcin Banasiak <marcin.banasiak@gmail.com> d161932
- Update to 3.20.0

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> 481fc54
- noarch vala subpackage

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 233a9bf
- release 2 (by relup.sh)

* Thu Oct 22 2015 Jakub Bogusz <qboosh@pld-linux.org> 1a4de27
- updated to 3.18.0
- added build patch (missing GitgExt gir dependency on Gitg gir)

* Tue Sep 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> edd6347
- python 3.5 rebuild
- release 2 (by relup.sh)

* Thu May 14 2015 Jakub Bogusz <qboosh@pld-linux.org> b48dec6
- updated to 3.16.1

* Thu Dec 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 2005210
- release 2

* Thu Dec 25 2014 Jakub Bogusz <qboosh@pld-linux.org> afc6d27
- adjusted glade bcond logic

* Thu Dec 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 2c4ec5c
- updated to 3.14.1
- package glade catalog

* Sun Oct 26 2014 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 2f16319
- updated to 3.14

* Sat Jan 11 2014 Jakub Bogusz <qboosh@pld-linux.org> a26aa7a
- updated to 0.3.2

* Sun Apr 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 35063ec
- updated to 0.2.7
- pl

* Tue Sep 06 2011 Artur Frysiak <artur@frysiak.net> 7b0b300
- up to 0.2.5

* Tue Mar 01 2011 Artur Frysiak <artur@frysiak.net> abfa1ad
- updated to 0.2.0

